App::GitHooks::Plugin::PerlInterpreter - App::GitHooks plugin to enforce a specific Perl interpreter on the first line of Perl files.
Perl
Fetching latest commit…
Cannot retrieve the latest commit at this time.
Failed to load latest commit information.
example
lib/App/GitHooks/Plugin
t
xt
.githooksrc
.gitignore
.perlcriticrc
.travis.yml
Build.PL
Changes
LICENSE
MANIFEST
MANIFEST.SKIP
META.json
META.yml
Makefile.PL
README.md
ignore.txt

README.md

App-GitHooks-Plugin-PerlInterpreter

Build Status Coverage Status CPAN License

App::GitHooks plugin to enforce a specific Perl interpreter on the first line of Perl files.

INSTALLATION

To install this module, run the following commands:

perl Build.PL
./Build
./Build test
./Build install

SUPPORT AND DOCUMENTATION

After installing, you can find documentation for this module with the perldoc command.

perldoc App::GitHooks::Plugin::PerlInterpreter

You can also look for information at:

LICENSE AND COPYRIGHT

Copyright (C) 2013-2016 Guillaume Aubert.

This code is free software; you can redistribute it and/or modify it under the same terms as Perl 5 itself.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the LICENSE file for more details.